package com.steering.Mcms;

import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;
import com.steering.comm.converter.CoreConverter;
import com.steering.comm.db.DBCommon;

/**
 * Created by 朱少波 on 2020/11/20.
 */
public class PoundBaseServer extends DBCommon {
    /***
     * 获取产线
     * @param arr
     * @return
     */
    public CoreReturnObject getPoudInfo(String[] arr)
    {
        String sql = CoreXmlSqlParsersFactory.getSql("PoundBaseServer.getPoudInfo");
        if(arr.length>0) {
            sql += CoreConverter.toSqlConditionString("T.POUND_DEPARTID", arr);
        }
        sql += " ORDER BY T.POUND_NO";
        return this.getData(sql);
    }

}
